# Class: MoneroDestination

## MoneroDestination(stateOrAddress, amount)

Models an outgoing transfer destination.

## Constructor

#### new MoneroDestination(stateOrAddress, amount)

Construct the model.

##### Parameters:

Name | Type | Description
--- | --- | ---
`stateOrAddress` | MoneroDestination | object | string | is a MoneroDestination, JS object, or hex string to initialize from (optional)
`amount` | BigInteger | string | the destination amount

Source:
  - src/main/js/wallet/model/MoneroDestination.js, line 8

### Methods

#### copy()

Source:
  - src/main/js/wallet/model/MoneroDestination.js, line 54

#### getAddress()

Source:
  - src/main/js/wallet/model/MoneroDestination.js, line 31

#### getAmount()

Source:
  - src/main/js/wallet/model/MoneroDestination.js, line 40

#### setAddress()

Source:
  - src/main/js/wallet/model/MoneroDestination.js, line 35

#### setAmount()

Source:
  - src/main/js/wallet/model/MoneroDestination.js, line 44

#### toJson()

Source:
  - src/main/js/wallet/model/MoneroDestination.js, line 58

#### toString()

Source:
  - src/main/js/wallet/model/MoneroDestination.js, line 64